	INCLUDE EFR32MG12.inc		; CPU register definitions
	EXPORT	main
	IMPORT	GPIO_setup		; import names from other code files	

RGB_LED0	EQU	1		; defines for 4 RGB leds on board
RGB_LED1	EQU	1<<1
RGB_LED2	EQU	1<<2
RGB_LED3	EQU	1<<3	
RED_LED		EQU	1<<11		; RGB LED control pins at PD
GREEN_LED	EQU	1<<12
BLUE_LED	EQU	1<<13
	
;-------------------------------------	; CODE segment in flash (ROM)
	AREA    |.text|, CODE, READONLY
main	PROC				; main user code
	bl	GPIO_setup

	ldr	R0, =GPIO 		
loop
	ANDW	~(RGB_LED0+RGB_LED1), GPIO_PI_DOUT	; turn off both LEDs
	PUTW	RED_LED, GPIO_PD_DOUT  	; set LED0 color 
	PUTW	RGB_LED0, GPIO_PI_DOUT 	; enable LED0
	bl	delay
	
	ANDW	~(RGB_LED0+RGB_LED1), GPIO_PI_DOUT	; turn off both LEDs
	PUTW	GREEN_LED, GPIO_PD_DOUT ; set LED1 color 
	PUTW	RGB_LED1, GPIO_PI_DOUT  ; enable LED1
	bl	delay
	
	b	loop			; loop back		
	ENDP

;--------------------------------------
delay	PROC				; software delay for about 10 ms
	push	{R0}
	ldr 	R0, =50000
dl	subs	R0, #1
	bne	dl
	pop	{R0}
	bx	LR
	ENDP

	ALIGN
	END
	